Page MenuHomePhabricator

Edit conflicts (tracking)
Open, MediumPublic

Description

Tracking bug for better handling edit conflicts, particularly for content namespace wikitext editing: reduce conflicts, resolve them automatically more often, make manual resolution less painful.

Closely related to diff algorithms (diff3 is key here); I'll add some of those bugs too but let's see if that expands the scope too much.

This is NOT about radical restructuring of the editing workflow (examples: "just use Google Docs"; T3898; "ditch talk pages").

Statistics: https://grafana.wikimedia.org/dashboard/db/mediawiki-edit-conflicts (probably not covering API edits, per Addshore).


Version: unspecified
Severity: normal


Also proposed in Community-Wishlist-Survey-2016. View related proposals with full discussion and votes here:

Details

Reference
bz70163

Related Objects

StatusAssignedTask
ResolvedDannyH
DuplicateNone
Opencscott
OpenNone
ResolvedNone
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedAnomie
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Openawight
OpenNone
ResolvedDbrant
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenSchnark
DuplicateNone
InvalidNone
OpenNone
DuplicateNone
InvalidNone
OpenNone
InvalidNone
DuplicateNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedTobi_WMDE_SW
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
DuplicateNone
ResolvedWMDE-Fisch
DuplicateNone
ResolvedAndrew-WMDE
ResolvedJan_Dittrich
Open Lea_WMDE
ResolvedAndrew-WMDE
DuplicateNone
OpenNone
DuplicateNone
StalledNone
ResolvedAddshore
OpenNone
ResolvedWMDE-Fisch
ResolvedNone
ResolvedJan_Dittrich
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
OpenNone
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
OpenNone
ResolvedAndrew-WMDE
OpenNone
DeclinedNone
Resolved Lea_WMDE
DeclinedGoranSMilovanovic
ResolvedGoranSMilovanovic
DeclinedGoranSMilovanovic
ResolvedGoranSMilovanovic
Resolved Lea_WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
InvalidHanna_Petruschat_WMDE
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedAddshore
ResolvedAddshore
OpenNone
OpenNone
Resolved Lea_WMDE
ResolvedAndrew-WMDE
DuplicateNone
Resolvedjkroll
Resolvedthiemowmde
ResolvedWMDE-Fisch
ResolvedNone
DuplicateNone
DuplicateNone
DuplicateNone
ResolvedAndrew-WMDE
OpenNone
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
Resolvedjkroll
ResolvedAndrew-WMDE
DuplicateNone
Resolvedthiemowmde
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
DeclinedNone
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:36 AM
bzimport set Reference to bz70163.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Aug 29 2014, 8:26 AM
Pine awarded a token.Apr 25 2015, 10:05 PM
Pine added a subscriber: Pine.

I don't remember, did we add any logging for edit conflicts in the end?

Nemo_bis set Security to None.Jun 24 2015, 10:00 AM
Nemo_bis added a subscriber: WereSpielChequers.
Nemo_bis updated the task description. (Show Details)Feb 28 2016, 12:30 PM
srishakatux updated the task description. (Show Details)Mar 11 2017, 2:38 AM
Aklapper changed the status of subtask T193862: Edit conflicts with signatures from Open to Stalled.May 10 2018, 6:34 PM
jeblad added a subscriber: jeblad.May 19 2018, 7:51 PM
Retro updated the task description. (Show Details)May 9 2019, 1:21 PM